Skip to main content
GET
/
batches
List batches
curl --request GET \
  --url https://api.sailresearch.com/v1/batches \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "batch_abc123",
    "request_counts": 2,
    "created_at": 1741564800,
    "label": "my-batch-job"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after_id
string

Return batches created after this batch ID.

before_id
string

Return batches created before this batch ID.

limit
integer
default:25

Maximum number of batches to return. Min 1, defaults to 25, max 200.

Required range: 1 <= x <= 200

Response

List of batches.

id
string
required

Unique identifier for the batch.

request_counts
integer
required

Total number of requests in the batch.

created_at
integer
required

Unix timestamp of when the batch was created.

label
string

The label for the batch, if provided.